JMap (Apache ZooKeeper - Jute 3.7.0 API)
Date: 2021-03-17

org.apache.jute.compiler

## Class JMap

- java.lang.Object
- - org.apache.jute.compiler.JType
  - - org.apache.jute.compiler.JMap

-     public class JMap
      extends JType

- - ### Field Summary

    - ### Fields inherited from class org.apache.jute.compiler.JType

      `mMethodSuffix`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMap(JType t1, JType t2)` Creates a new instance of JMap.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `genCsharpReadWrapper(String fname, int tag, boolean decl)`
    `String` | `genCsharpWriteWrapper(String fname, int tag)`
    `String` | `genJavaCompareTo(String fname)`
    `String` | `genJavaReadMethod(String fname, String tag)`
    `String` | `genJavaReadWrapper(String fname, String tag, boolean decl)`
    `String` | `genJavaWriteMethod(String fname, String tag)`
    `String` | `genJavaWriteWrapper(String fname, String tag)`
    `String` | `getSignature()`

    - ### Methods inherited from class org.apache.jute.compiler.JType

      `genCsharpConstructorParam, genCsharpDecl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMap

          public JMap(JType t1,
                      JType t2)

      Creates a new instance of JMap.

  - ### Method Detail

    - #### getSignature

          public String getSignature()

    - #### genJavaCompareTo

          public String genJavaCompareTo(String fname)

    - #### genJavaReadWrapper

          public String genJavaReadWrapper(String fname,
                                           String tag,
                                           boolean decl)

    - #### genJavaReadMethod

          public String genJavaReadMethod(String fname,
                                          String tag)

    - #### genJavaWriteWrapper

          public String genJavaWriteWrapper(String fname,
                                            String tag)

    - #### genJavaWriteMethod

          public String genJavaWriteMethod(String fname,
                                           String tag)

    - #### genCsharpWriteWrapper

          public String genCsharpWriteWrapper(String fname,
                                              int tag)

    - #### genCsharpReadWrapper

          public String genCsharpReadWrapper(String fname,
                                             int tag,
                                             boolean decl)

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.